title: VIS IWS TM HK Monitor
author: M.Whillock@ucl.ac.uk
date: 23 Apr 2020

Copyright © 2020 University College London / MSSL

--

#### 1.1	Introduction


This a mini user guide to the VIS IWS TM HK Monitor program.


#### 1.2	Prerequisites

* git
* python3
* conda
* pyqtgraph

#### 1.3	Installation: Online Deployment

TBD

#### 1.4	Installation: Offline Deployment

This document assumes that the user already has a .zip file of the latest HKTM_monitor software.

The installation and launching the program are done in an xterm terminal on the IWS computer.

+ Change directory to the user's home directory: `cd ~`.
+ If there is already an HKTM_monitor installation in `/home/$USER/HKTM_monitor/`:
	+	Delete the `HKTM_monitor/` directory: `rm -rf HKTM_monitor/`.
+ Copy the .zip file to the home directory.
+ Unzip the .zip file: `unzip HKTM_monitor.zip`

#### 1.5	Post-Installation / Normal Use Precautions

+ Activate the necessary conda environment: `conda activate IWSop`.

#### 1.6	Normal Usage

+ This document assumes that python3 is run using the `python` command.
+ Change directory to the HKTM_monitor directory: `cd HKTM_monitor`
+ Launch the program: `python iws_tmhk_monitor.py`
